/*
 * Guillaume Cottenceau (gc@mandrakesoft.com)
 *
 * Copyright 2000 MandrakeSoft
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _INIT_H
#define _INIT_H

#include <sys/types.h>

pid_t spawn(char * const av[]);
void init_warn(const char *msg);
void init_fatal(const char *msg) __attribute__((noreturn));
int nuke_dir(const char *what);

#endif
